<?php

class BlockViewedProducts extends Module
{
    private $_html = '';
    private $_postErrors = array();

    function __construct()
    {
        $this->name = 'blockviewedproducts';
        $this->tab = 'Blocks';
        $this->version = 0.1;

        parent::__construct();

        $this->displayName = $this->l('Viewed products block');
        $this->description = $this->l('Displays a block featuring newly added products');
    }

    function install()
    {
        if (parent::install() == false 
				OR $this->registerHook('home') == false
				OR Configuration::updateValue('VIEWED_PRODUCTS_NBR', 12) == false)
			return false;
		return true;
    }

	public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitBlockviewedProducts'))
		{
			if (!$productNbr = Tools::getValue('productNbr') OR empty($productNbr))
				$output .= '<div class="alert error">'.$this->l('You should fill the "products displayed" field').'</div>';
			elseif (intval($productNbr) == 0)
				$output .= '<div class="alert error">'.$this->l('Invalid number.').'</div>';
			else
			{
				Configuration::updateValue('VIEWED_PRODUCTS_NBR', intval($productNbr));
				$output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Confirmation').'" />'.$this->l('Settings updated').'</div>';
			}
		}
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		$output = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
				<label>'.$this->l('Products displayed').'</label>
				<div class="margin-form">
					<input type="text" name="productNbr" value="'.intval(Configuration::get('VIEWED_PRODUCTS_NBR')).'" />
					<p class="clear">'.$this->l('Set the number of products to be displayed in this block').'</p>
				</div>
				<center><input type="submit" name="submitBlockviewedProducts" value="'.$this->l('Save').'" class="button" /></center>
			</fieldset>
		</form>';
		return $output;
	}


    function  hookHome($params)
    {
		global $smarty;
		$currency = new Currency(intval($params['cookie']->id_currency));
		$viewedProducts = Product::productsviewed(intval($params['cookie']->id_lang), 0, Configuration::get('VIEWED_PRODUCTS_NBR'));
		$viewed_products = array();
		if ($viewedProducts)
			foreach ($viewedProducts AS $viewedProduct)
				$viewed_products[] = $viewedProduct;

		$smarty->assign(array(
			'viewed_products' => $viewed_products,
			'mediumSize' => Image::getSize('medium')));
		return $this->display(__FILE__, 'blockviewedproducts.tpl');
	}
	
	function hookLeftColumn($params)
	{
		return $this-> hookHome($params);
	}
}


?>
